开发者社区> 问答> 正文

阿里云的kafka,是否支持本地事物

我切换为测试环境自己搭建的kafka本地事物完全木有问题。

切换到阿里云的kafka以后, 就会在创建Producer的时候,报Cannot create a v0 coordinator

2017-11-06 19:25:06.962 INFO 12040 --- [ main] o.a.k.clients.producer.KafkaProducer : Instantiated a transactional producer.
2017-11-06 19:25:06.962 INFO 12040 --- [ main] o.a.k.clients.producer.KafkaProducer : Overriding the default retries config to the recommended value of 2147483647 since the idempotent producer is enabled.
2017-11-06 19:25:06.962 INFO 12040 --- [ main] o.a.k.clients.producer.KafkaProducer : Overriding the default max.in.flight.requests.per.connection to 1 since idempontence is enabled.
2017-11-06 19:25:06.965 INFO 12040 --- [ main] o.a.kafka.common.utils.AppInfoParser : Kafka version : 0.11.0.0
2017-11-06 19:25:06.965 INFO 12040 --- [ main] o.a.kafka.common.utils.AppInfoParser : Kafka commitId : cb8625948210849f
2017-11-06 19:25:06.965 INFO 12040 --- [ main] o.a.k.c.p.internals.TransactionManager : [TransactionalId my.transaction.73] ProducerId set to -1 with epoch -1
2017-11-06 19:25:07.611 ERROR 12040 --- [ main] c.a.b.service.impl.AmqpServiceImpl : Cannot create a v0 FindCoordinator request because we require features supported only in 1 or later.

org.apache.kafka.common.errors.UnsupportedVersionException: Cannot create a v0 FindCoordinator request because we require features supported only in 1 or later.

展开
收起
soulw 2017-11-06 19:29:14 7133 0
2 条回答
写回答
取消 提交回答
  • 这个需要看 kafka 的 changelog 并确认好自己的版本

    2019-07-17 21:42:31
    赞同 展开评论 打赏
  • 看起来需要检查一下kafka的版本

    2019-07-17 21:42:31
    赞同 展开评论 打赏
问答排行榜
最热
最新

相关电子书

更多
Java Spring Boot开发实战系列课程【第16讲】:Spring Boot 2.0 实战Apache Kafka百万级高并发消息中间件与原理解析 立即下载
MaxCompute技术公开课第四季 之 如何将Kafka数据同步至MaxCompute 立即下载
消息队列kafka介绍 立即下载